Bug 902321

Summary: mantis: XSS on the summary page
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: extras-orphan, giallu, sven
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130118,reported=20130118,source=oss-security,cvss2=3.3/AV:N/AC:L/Au:M/C:N/I:P/A:N,fedora-all/mantis=affected,epel-5/mantis=notaffected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 902331    
Bug Blocks:    

Description Jan Lieskovsky 2013-01-21 06:34:56 EST
A cross-site scripting (XSS) flaw was found in the way Mantis, a web-based issue tracking system, performed sanitization of category / project names in the summary page. A Mantis user with manager / administrator privilege could create category or project with specially-crafted name that, when visited would lead to arbitrary web script or HTML code execution.

References:
[1] http://www.openwall.com/lists/oss-security/2013/01/18/10

Upstream bug report:
[2] http://www.mantisbt.org/bugs/view.php?id=15384

Relevant patch:
[3] https://github.com/mantisbt/mantisbt/commit/7df30a9ee703f4d48e6ef8df078cff3a6029c5b9
Comment 1 Jan Lieskovsky 2013-01-21 06:36:42 EST
This issue affects the versions of the mantis package, as shipped with Fedora release of 16, 17, and 18. Please schedule an update.

--

This issue did not affect the version of the mantis package, as shipped with Fedora EPEL 5 (issue is upstream 1.2.12 version specific).
Comment 2 Jan Lieskovsky 2013-01-21 06:52:16 EST
Created mantis tracking bugs for this issue

Affects: fedora-all [bug 902331]
Comment 3 Fedora Update System 2013-03-31 23:26:44 EDT
mantis-1.2.14-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-03-31 23:32:33 EDT
mantis-1.2.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.